## EXPORT_SPEC int ixmlParseBufferEx

## (char* buffer,
IXML_Document** doc )

> Parses an XML text buffer converting it into an IXML DOM representation.

## Documentation

> Parses an XML text buffer converting it into an IXML DOM representation.

> The ixmlParseBufferEx API differs from the ixmlParseBuffer API in that it returns an error code representing the actual failure rather than just `NULL`.

Parameters:
  buffer - The buffer that contains the XML text to convert to a Document.
  doc - A point to store the Document if file correctly parses or NULL on an error.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: The buffer is not a valid pointer.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.